---
id: com.github.hannesschulze.conecto
base: io.elementary.BaseApp
base-version: juno
runtime: org.freedesktop.Platform
sdk: org.freedesktop.Sdk
runtime-version: "18.08"
command: com.github.hannesschulze.conecto
finish-args:
cleanup:
modules:
  - name: openldap
    rm-configure: true
    cleanup:
      - /bin
      - /share/man
    config-opts:
      - --disable-backends
      - --disable-overlays
      - --disable-slapd
      - --disable-debug
      - --enable-dynamic
      - --without-threads
      - --with-tls=gnutls
    sources:
      - type: archive
        url: http://www.openldap.org/software/download/OpenLDAP/openldap-release/openldap-2.4.47.tgz
        sha256: f54c5877865233d9ada77c60c0f69b3e0bfd8b1b55889504c650047cc305520b
      - type: script
        dest-filename: autogen.sh
        commands:
          - AUTOMAKE="/bin/sh" autoreconf -vfi

  - name: evolution-data-server
    buildsystem: cmake-ninja
    sources:
      - type: git
        url: https://git.launchpad.net/ubuntu/+source/evolution-data-server
        commit: ubuntu/bionic

  - name: conecto
    buildsystem: meson
    sources:
      - type: git
        url: https://github.com/hannesschulze/conecto
        commit: master
